Package groovy.sql

## Class ResultSetMetaDataWrapper

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - groovy.sql.ResultSetMetaDataWrapper

- All Implemented Interfaces:
    `GroovyObject`

      public class ResultSetMetaDataWrapper
      extends GroovyObjectSupport

  This class defines a wrapper for accessing a specific column in `ResultSetMetaData`. This allows iteration over columns using idiomatic Groovy, e.g.:

       meta.each {col ->
         println col.columnName
       }

  All `ResultSetMetaData` column methods taking a column index are available on a column either as a no-arg getter or via a property.

  This wrapper is created by an iterator invoked for `ResultSetMetaData`.

  See Also:
    `SqlExtensions`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResultSetMetaDataWrapper​(ResultSetMetaData target, int index)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getProperty​(String property)` | Retrieves a property value.
    `Object` | `invokeMethod​(String name, Object args)` | Invokes the given method.
    `void` | `setProperty​(String property, Object newValue)` | Sets the given property to the new value.

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, setMetaClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResultSetMetaDataWrapper

          public ResultSetMetaDataWrapper​(ResultSetMetaData target,
                                          int index)

  - ### Method Detail

    - #### invokeMethod

          public Object invokeMethod​(String name,
                                     Object args)

      Description copied from interface: `GroovyObject`
      Invokes the given method.
      Specified by:
        `invokeMethod` in interface `GroovyObject`
      Overrides:
        `invokeMethod` in class `GroovyObjectSupport`
      Parameters:
        `name` - the name of the method to call
        `args` - the arguments to use for the method call
      Returns:
        the result of invoking the method

    - #### getProperty

          public Object getProperty​(String property)

      Description copied from interface: `GroovyObject`
      Retrieves a property value.
      Specified by:
        `getProperty` in interface `GroovyObject`
      Overrides:
        `getProperty` in class `GroovyObjectSupport`
      Parameters:
        `property` - the name of the property of interest
      Returns:
        the given property

    - #### setProperty

          public void setProperty​(String property,
                                  Object newValue)

      Description copied from interface: `GroovyObject`
      Sets the given property to the new value.
      Specified by:
        `setProperty` in interface `GroovyObject`
      Overrides:
        `setProperty` in class `GroovyObjectSupport`
      Parameters:
        `property` - the name of the property of interest
        `newValue` - the new value for the property